###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################

Name: rgmanager
Version: 1.9.80
Release: 1
License: GPL,LGPL
Group: System Environment/Base
Summary: Open Source HA Resource Group Failover for Red Hat Enterprise Linux
Requires: chkconfig initscripts glibc ncurses libxml2 bash grep sed gawk
Requires: magma ccs
Requires: ccs >= 1.0.10-0
Requires: net-tools mount /sbin/findfs /bin/bash
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Provides: rgmanager
Obsoletes: clumanager
BuildRequires: glibc-devel ncurses-devel libxml2-devel /bin/grep
BuildRequires: magma ccs-devel magma-devel
ExclusiveArch: i386 ia64 x86_64 ppc64
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
%description
Red Hat Resource Group Manager provides high availability of critical server
applications in the event of planned or unplanned system downtime.

%prep
%setup -q

%build
./configure

sed -i '/RELEASE_MAJOR/s/= .*/= %version/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= %release/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rgmanager

%preun
if [ "$1" = 0 ]; then
        /sbin/chkconfig --del rgmanager
fi

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING errors.txt
%{_mandir}/*/*
/usr/sbin/
/usr/share/cluster
%config /etc/rc.d/init.d/rgmanager
%config /usr/share/cluster/*

%changelog
* Tue May 27 2008 Chris Feist <cfeist@redhat.com>
- Fixed an issue when magma locks could potentially get stuck forever with gulm
- Resolves: rhbz#448108

* Mon Apr 28 2008 Chris Feist <cfeist@redhat.com>
- Parameter descriptions haven been updated in the lvm.metadata script
- Resolves: rhbz#443658

* Tue Apr 15 2008 Chris Feist <cfeist@redhat.com>
- restart counter/thresholds before switching to relocation during service
  recovery
- Event scripting ability has been added
- rgmanager no longer restarts services when non-critical parameters are
  changed
- Strong / weak service dependencies have been added
- RG event API has been added
- Clushutdown referenced in the clusvcadm man page
- rgmanager no longer gets stuck in stop in certain cases
- quotaoff no longer causes hangs in certain cases
- symlinks in mount point path no longer cause erroneus failures
- Resolves: rhbz#245381 rhbz#247772 rhbz#247945 rhbz#247980 rhbz#250101
  rhbz#439948 rhbz#440006 rhbz#440645 rhbz#441577

* Mon Apr 07 2008 Chris Feist <cfeist@redhat.com>
- Prevent users from placing a volume group to be shared into
  /etc/lvm/lvm.conf:volume:list
- Resolves: rhbz#431705

* Wed Apr 02 2008 Chris Feist <cfeist@redhat.com>
- When using HA LVM with 2 or more services, stopping one service no longer
  removes the tags from all VGs.
- If the HA lvm server loses its connection to the SAN it now relocates to
  another machine.
- Resolves: rhbz#438997 rhbz#242798

* Thu Mar 20 2008 Chris Feist <cfeist@redhat.com>
- Make ip.sh check link states of non-ethernet devices
- Resolves: rhbz#438413

* Wed Mar 05 2008 Chris Feist <cfeist@redhat.com>
- Failover of nfs mount points now occur even if there is a process holding
  the filesystem.
- A bug was fixed which caused rgmanager to get stuck in a loop when rebooting
  a node.
- HA LVM now allows multiple LVs/VG as long as they move together.
- HA LVM service now relocates even when I/O is running.
- Timeout errors in clustat have been fixed.
- clulog now respects the rgmanager log level.
- nfsclient now unexports properly.
- ip.sh now correctly sets the netmask.
- Resolves: rhbz#358161 rhbz#360401 rhbz#427377 rhbz#428475 rhbz#430538 rhbz#289521 rhbz#292861 rhbz#434886

* Wed Oct 31 2007 Chris Feist <cfeist@redhat.com>
- a bug was fixed which caused rgmanager to use the wrong source ip address
  on machines with multiple ip addresses.
- Resolves: rhbz#354391

* Mon Oct 01 2007 Chris Feist <cfeist@redhat.com>
- Status check count is now one (instead of unbounded)
- Added self_fence support to clusterfs
- SAP Resource Agents have been added
- Resource agents know no longer probe more often than configured
- Resolves: rhbz#246669 rhbz#252241 rhbz#204084 rhbz#310981

* Fri Aug 17 2007 Chris Feist <cfeist@redhat.com>
- Fixes in lvm failover script
- Fixes in ra-skelet.sh script
- Fixed attribute inheritance in rgmanager
- clurgmgrd now uses node name instead of (null) where possible
- Resource agent added for named
- Resolves: rhbz#236580 rhbz#243972 rhbz#245171 rhbz#236431 rhbz#213524

* Thu Feb 22 2007 Chris Feist <cfeist@redhat.com>
- Remove rgmanager-app-agents

* Tue Jan 30 2007 Chris Feist <cfeist@redhat.com>
- New upstream sources
- Built for ppc64

* Wed Oct 18 2006 Chris Feist <cfeist@redhat.com>
- We will not overwrite changed files in the /usr/share/cluster directory. 

* Fri Oct 06 2006 Chris Feist <cfeist@redhat.com>
- New upstream sources.

* Fri May 05 2005 Chris Feist <cfeist@redhat.com>
- Cleaned up .spec file.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Tue Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.4
- Build against latest set of libs and update sources.

* Mon Oct 25 2004 Chris Feist <cfeist@redhat.com> 1.9.3
- Build against latest set of libs and update sources.

* Tue Aug 17 2004 Jon Brassow <jbrassow@redhat.com> 1.9.2-2
- Build against latest set of libs.

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.2-1
- Fix up specfile

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.1-1
- Work around bug in VF code with sledgehammer approach

* Fri Aug 13 2004 Lon Hohberger <lhh@redhat.com> 1.9.0-1
- Initial build.
